#ifndef OPTION_ASDL_H
#define OPTION_ASDL_H

namespace option_asdl {

#define ASDL_NAMES struct
ASDL_NAMES option_i {
  enum no_name {
  errexit = 1,
  nounset = 2,
  pipefail = 3,
  inherit_errexit = 4,
  nullglob = 5,
  verbose_errexit = 6,
  noexec = 7,
  xtrace = 8,
  verbose = 9,
  noglob = 10,
  noclobber = 11,
  errtrace = 12,
  posix = 13,
  vi = 14,
  emacs = 15,
  interactive = 16,
  hashall = 17,
  lastpipe = 18,
  failglob = 19,
  extglob = 20,
  nocasematch = 21,
  dotglob = 22,
  extdebug = 23,
  eval_unsafe_arith = 24,
  ignore_flags_not_impl = 25,
  ignore_shopt_not_impl = 26,
  _allow_command_sub = 27,
  _allow_process_sub = 28,
  dynamic_scope = 29,
  redefine_const = 30,
  redefine_source = 31,
  _running_trap = 32,
  _running_hay = 33,
  _no_debug_trap = 34,
  _no_err_trap = 35,
  strict_parse_slice = 36,
  strict_argv = 37,
  strict_arith = 38,
  strict_array = 39,
  strict_control_flow = 40,
  strict_errexit = 41,
  strict_nameref = 42,
  strict_word_eval = 43,
  strict_tilde = 44,
  strict_glob = 45,
  parse_at = 46,
  parse_proc = 47,
  parse_func = 48,
  parse_brace = 49,
  parse_bracket = 50,
  parse_equals = 51,
  parse_paren = 52,
  parse_ysh_string = 53,
  parse_triple_quote = 54,
  simple_word_eval = 55,
  dashglob = 56,
  command_sub_errexit = 57,
  process_sub_fail = 58,
  xtrace_rich = 59,
  xtrace_details = 60,
  sigpipe_status_ok = 61,
  env_obj = 62,
  for_loop_frames = 63,
  parse_at_all = 64,
  parse_backslash = 65,
  parse_backticks = 66,
  parse_dollar = 67,
  parse_ignored = 68,
  parse_sh_arith = 69,
  parse_dparen = 70,
  parse_dbracket = 71,
  parse_bare_word = 72,
  no_exported = 73,
  no_init_globals = 74,
  simple_echo = 75,
  simple_eval_builtin = 76,
  simple_test_builtin = 77,
  expand_aliases = 78,
  progcomp = 79,
  histappend = 80,
  hostcomplete = 81,
  cmdhist = 82,
  assoc_expand_once = 83,
  autocd = 84,
  cdable_vars = 85,
  cdspell = 86,
  checkhash = 87,
  checkjobs = 88,
  checkwinsize = 89,
  complete_fullquote = 90,
  direxpand = 91,
  dirspell = 92,
  execfail = 93,
  extquote = 94,
  force_fignore = 95,
  globasciiranges = 96,
  globstar = 97,
  gnu_errfmt = 98,
  histreedit = 99,
  histverify = 100,
  huponexit = 101,
  interactive_comments = 102,
  lithist = 103,
  localvar_inherit = 104,
  localvar_unset = 105,
  login_shell = 106,
  mailwarn = 107,
  no_empty_cmd_completion = 108,
  nocaseglob = 109,
  progcomp_alias = 110,
  promptvars = 111,
  restricted_shell = 112,
  shift_verbose = 113,
  sourcepath = 114,
  xpg_echo = 115,
  ARRAY_SIZE = 116,
  };
};

typedef int option_t;

ASDL_NAMES builtin_i {
  enum no_name {
  colon = 1,
  dot = 2,
  exec_ = 3,
  eval = 4,
  set = 5,
  shift = 6,
  times = 7,
  trap = 8,
  unset = 9,
  readonly = 10,
  local = 11,
  declare = 12,
  typeset = 13,
  export_ = 14,
  extern_ = 15,
  true_ = 16,
  false_ = 17,
  try_ = 18,
  assert_ = 19,
  break_ = 20,
  continue_ = 21,
  return_ = 22,
  exit = 23,
  read = 24,
  echo = 25,
  printf = 26,
  mapfile = 27,
  readarray = 28,
  cd = 29,
  pushd = 30,
  popd = 31,
  dirs = 32,
  pwd = 33,
  source = 34,
  umask = 35,
  ulimit = 36,
  wait = 37,
  jobs = 38,
  fg = 39,
  bg = 40,
  shopt = 41,
  complete = 42,
  compgen = 43,
  compopt = 44,
  compadjust = 45,
  compexport = 46,
  getopts = 47,
  builtin = 48,
  command = 49,
  type = 50,
  hash = 51,
  help = 52,
  history = 53,
  alias = 54,
  unalias = 55,
  bind = 56,
  append = 57,
  write = 58,
  json = 59,
  json8 = 60,
  pp = 61,
  hay = 62,
  haynode = 63,
  use = 64,
  error = 65,
  failed = 66,
  fork = 67,
  forkwait = 68,
  redir = 69,
  fopen = 70,
  shvar = 71,
  ctx = 72,
  invoke = 73,
  runproc = 74,
  boolstatus = 75,
  test = 76,
  bracket = 77,
  push_registers = 78,
  source_guard = 79,
  is_main = 80,
  cat = 81,
  ARRAY_SIZE = 82,
  };
};

typedef int builtin_t;


}  // namespace option_asdl

#endif  // OPTION_ASDL_H
